Bug 1397574 - Bird should drop privileges
Summary: Bird should drop privileges
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bird
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stanislav Kozina
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-22 20:46 UTC by Ruben Kerkhof
Modified: 2018-12-07 02:37 UTC (History)
6 users (show)

Fixed In Version: bird-1.6.4-2.el7 bird-1.6.4-2.fc28 bird-1.6.4-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-07 00:43:18 UTC


Attachments (Terms of Use)
patch for the spec file (3.10 KB, patch)
2017-04-14 11:28 UTC, Marcel Haerry
no flags Details | Diff

Description Ruben Kerkhof 2016-11-22 20:46:03 UTC
Currently bird and bird6 run as root. They should drop privileges after forking and opening port 179.

Both daemons accept a -u and -g argument to do just that.

Comment 1 Fedora End Of Life 2017-02-28 10:39:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Marcel Haerry 2017-04-14 11:28:11 UTC
Created attachment 1271652 [details]
patch for the spec file

Attached is a patch against the current master of the fedpkg repository.

This also addresses things raised in #1285672

I'm happy to help with the package if you need more support.

Comment 3 Fedora End Of Life 2018-05-03 08:18:58 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Jan Kurik 2018-08-14 10:21:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Robert Scheck 2018-10-24 23:35:59 UTC
Is there any specific reason that this hasn't happened, yet?

Comment 6 Fedora Update System 2018-11-12 16:00:26 UTC
bird-1.6.4-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8f0d2429d3

Comment 7 Fedora Update System 2018-11-12 16:00:44 UTC
bird-1.6.4-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6aada550ca

Comment 8 Fedora Update System 2018-11-13 04:07:30 UTC
bird-1.6.4-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8f0d2429d3

Comment 9 Fedora Update System 2018-11-13 04:49:30 UTC
bird-1.6.4-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6aada550ca

Comment 10 Fedora Update System 2018-11-19 15:58:41 UTC
bird-1.6.4-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-c25e48ded1

Comment 11 Fedora Update System 2018-11-19 15:58:43 UTC
bird-1.6.4-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-c25e48ded1

Comment 12 Fedora Update System 2018-11-20 18:38:29 UTC
bird-1.6.4-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-c25e48ded1

Comment 13 Fedora Update System 2018-12-07 00:43:18 UTC
bird-1.6.4-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-12-07 02:13:59 UTC
bird-1.6.4-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-12-07 02:37:21 UTC
bird-1.6.4-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.